Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 689860

Summary: selinux-base version bump request to 2.20190609
Product: Gentoo Linux Reporter: Awad Mackie <firesock.serwalek>
Component: Current packagesAssignee: SE Linux Bugs <selinux>
Status: RESOLVED OBSOLETE    
Severity: normal CC: feffe, joost, sam
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Awad Mackie 2019-07-14 22:45:35 UTC
refpolicy have released a new version 2.20190609 with some systemd updates as noted here: https://github.com/SELinuxProject/refpolicy/releases/tag/RELEASE_2_20190609
Comment 1 Fredrik Eriksson 2020-05-17 12:13:06 UTC
refpolicy have released version 2.20200229:
https://github.com/SELinuxProject/refpolicy/releases/tag/RELEASE_2_20200229
Comment 2 J. Roeleveld 2020-09-15 06:54:35 UTC
Please mark this version stable as the previous version "2.20190201-r1" fails installation with the following error:

---
python3 -t -t -E -W error support/sedoctool.py -b policy/booleans.conf -m policy/modules.conf -x doc/policy.xml
  File "support/sedoctool.py", line 269
    if desc.data is not '':
---

2.20190609-r1 is the only version that will build on current systems.
Comment 3 Sam James archtester gentoo-dev Security 2021-11-22 13:08:49 UTC
Already sorted.